Package fr.gouv.vitam.common.storage.compress

# Class ArchiveEntryInputStream

java.lang.Object
java.io.InputStream
fr.gouv.vitam.common.storage.compress.ArchiveEntryInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class ArchiveEntryInputStream extends InputStream
ArchiveEntryInputStream class Archive input streams MUST override the `read(byte[], int, int)` - or `read()` - method so that reading from the stream generates EOF for the end of data in each entry as well as at the end of the file proper.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArchiveEntryInputStream(InputStream archiveInputStream)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `available()`
  `void`
  `close()`
  `int`
  `read()`
  `int`
  `read(byte[] b)`
  `int`
  `read(byte[] b, int off, int len)`
  `void`
  `setClosed(boolean isclosed)`
  Allow to "fakely" reopen this InputStream
  `long`
  `skip(long n)`

  ### Methods inherited from class java.io.InputStream

  `mark, markSupported, nullInputStream, readAllBytes, readNBytes, readNBytes, reset, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArchiveEntryInputStream

    public ArchiveEntryInputStream(InputStream archiveInputStream) throws IOException
    Parameters:
      `archiveInputStream` -
    Throws:
      `IOException`

- ## Method Details

  - ### available

    public int available() throws IOException
    Overrides:
      `available` in class `InputStream`
    Throws:
      `IOException`

  - ### skip

    public long skip(long n) throws IOException
    Overrides:
      `skip` in class `InputStream`
    Throws:
      `IOException`

  - ### read

    public int read() throws IOException
    Specified by:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### read

    public int read(byte[] b) throws IOException
    Overrides:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### read

    public int read(byte[] b, int off, int len) throws IOException
    Overrides:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `InputStream`

  - ### setClosed

    public void setClosed(boolean isclosed)
    Allow to "fakely" reopen this InputStream
    Parameters:
      `isclosed` -